namespace Amazon {

/// <remarks/>
[System.Web.Services.WebServiceBinding(Name="AmazonSearchPort",Namespace="http://soap.amazon.com"),
System.Diagnostics.DebuggerStepThroughAttribute(),
System.ComponentModel.DesignerCategoryAttribute("code"),
System.Xml.Serialization.SoapInclude(typeof(BrowseNode)),
System.Xml.Serialization.SoapInclude(typeof(Details)),
System.Xml.Serialization.SoapInclude(typeof(MarketplaceSearchDetails)),
System.Xml.Serialization.SoapInclude(typeof(Item)),
System.Xml.Serialization.SoapInclude(typeof(FeaturedProduct)),
System.Xml.Serialization.SoapInclude(typeof(AddItem)),
System.Xml.Serialization.SoapInclude(typeof(ItemQuantity)),
System.Xml.Serialization.SoapInclude(typeof(SellerSearchDetails)),
System.Xml.Serialization.SoapInclude(typeof(ThirdPartyProductDetails)),
System.Xml.Serialization.SoapInclude(typeof(SellerProfileDetails)),
System.Xml.Serialization.SoapInclude(typeof(Variation)),
System.Xml.Serialization.SoapInclude(typeof(KeyPhrase)),
System.Xml.Serialization.SoapInclude(typeof(ProductLine)),
System.Xml.Serialization.SoapInclude(typeof(Feedback)),
System.Xml.Serialization.SoapInclude(typeof(ShortSummary)),
System.Xml.Serialization.SoapInclude(typeof(OrderItem)),
System.Xml.Serialization.SoapInclude(typeof(Package)),
System.Xml.Serialization.SoapInclude(typeof(CustomerReview)),
System.Xml.Serialization.SoapInclude(typeof(Track))]
public class AmazonSearchService : System.Web.Services.Protocols.SoapHttpClientProtocol {

    public AmazonSearchService () {
        this.Url = "http://soap.amazon.com/onca/soap3";
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo KeywordSearchRequest(KeywordRequest KeywordSearchRequest) {
        System.Object[] results = this.Invoke("KeywordSearchRequest", new object[] {
            KeywordSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginKeywordSearchRequest(KeywordRequest KeywordSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("KeywordSearchRequest", new object[] {
            KeywordSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndKeywordSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo TextStreamSearchRequest(TextStreamRequest TextStreamSearchRequest) {
        System.Object[] results = this.Invoke("TextStreamSearchRequest", new object[] {
            TextStreamSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginTextStreamSearchRequest(TextStreamRequest TextStreamSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("TextStreamSearchRequest", new object[] {
            TextStreamSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndTextStreamSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo PowerSearchRequest(PowerRequest PowerSearchRequest) {
        System.Object[] results = this.Invoke("PowerSearchRequest", new object[] {
            PowerSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginPowerSearchRequest(PowerRequest PowerSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("PowerSearchRequest", new object[] {
            PowerSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndPowerSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo BrowseNodeSearchRequest(BrowseNodeRequest BrowseNodeSearchRequest) {
        System.Object[] results = this.Invoke("BrowseNodeSearchRequest", new object[] {
            BrowseNodeSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginBrowseNodeSearchRequest(BrowseNodeRequest BrowseNodeSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("BrowseNodeSearchRequest", new object[] {
            BrowseNodeSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndBrowseNodeSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo AsinSearchRequest(AsinRequest AsinSearchRequest) {
        System.Object[] results = this.Invoke("AsinSearchRequest", new object[] {
            AsinSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginAsinSearchRequest(AsinRequest AsinSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("AsinSearchRequest", new object[] {
            AsinSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndAsinSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductLine[] BlendedSearchRequest(BlendedRequest BlendedSearchRequest) {
        System.Object[] results = this.Invoke("BlendedSearchRequest", new object[] {
            BlendedSearchRequest});
        return ((ProductLine[])(results[0]));
    }

    public virtual System.IAsyncResult BeginBlendedSearchRequest(BlendedRequest BlendedSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("BlendedSearchRequest", new object[] {
            BlendedSearchRequest}, callback, asyncState);
    }

    public virtual ProductLine[] EndBlendedSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductLine[])(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo UpcSearchRequest(UpcRequest UpcSearchRequest) {
        System.Object[] results = this.Invoke("UpcSearchRequest", new object[] {
            UpcSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginUpcSearchRequest(UpcRequest UpcSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("UpcSearchRequest", new object[] {
            UpcSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndUpcSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo SkuSearchRequest(SkuRequest SkuSearchRequest) {
        System.Object[] results = this.Invoke("SkuSearchRequest", new object[] {
            SkuSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginSkuSearchRequest(SkuRequest SkuSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("SkuSearchRequest", new object[] {
            SkuSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndSkuSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo AuthorSearchRequest(AuthorRequest AuthorSearchRequest) {
        System.Object[] results = this.Invoke("AuthorSearchRequest", new object[] {
            AuthorSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginAuthorSearchRequest(AuthorRequest AuthorSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("AuthorSearchRequest", new object[] {
            AuthorSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndAuthorSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo ArtistSearchRequest(ArtistRequest ArtistSearchRequest) {
        System.Object[] results = this.Invoke("ArtistSearchRequest", new object[] {
            ArtistSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginArtistSearchRequest(ArtistRequest ArtistSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ArtistSearchRequest", new object[] {
            ArtistSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndArtistSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo ActorSearchRequest(ActorRequest ActorSearchRequest) {
        System.Object[] results = this.Invoke("ActorSearchRequest", new object[] {
            ActorSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginActorSearchRequest(ActorRequest ActorSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ActorSearchRequest", new object[] {
            ActorSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndActorSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo ManufacturerSearchRequest(ManufacturerRequest ManufacturerSearchRequest) {
        System.Object[] results = this.Invoke("ManufacturerSearchRequest", new object[] {
            ManufacturerSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginManufacturerSearchRequest(ManufacturerRequest ManufacturerSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ManufacturerSearchRequest", new object[] {
            ManufacturerSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndManufacturerSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo DirectorSearchRequest(DirectorRequest DirectorSearchRequest) {
        System.Object[] results = this.Invoke("DirectorSearchRequest", new object[] {
            DirectorSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginDirectorSearchRequest(DirectorRequest DirectorSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("DirectorSearchRequest", new object[] {
            DirectorSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndDirectorSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ListingProductDetails ExchangeSearchRequest(ExchangeRequest ExchangeSearchRequest) {
        System.Object[] results = this.Invoke("ExchangeSearchRequest", new object[] {
            ExchangeSearchRequest});
        return ((ListingProductDetails)(results[0]));
    }

    public virtual System.IAsyncResult BeginExchangeSearchRequest(ExchangeRequest ExchangeSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ExchangeSearchRequest", new object[] {
            ExchangeSearchRequest}, callback, asyncState);
    }

    public virtual ListingProductDetails EndExchangeSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ListingProductDetails)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo ListManiaSearchRequest(ListManiaRequest ListManiaSearchRequest) {
        System.Object[] results = this.Invoke("ListManiaSearchRequest", new object[] {
            ListManiaSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginListManiaSearchRequest(ListManiaRequest ListManiaSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ListManiaSearchRequest", new object[] {
            ListManiaSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndListManiaSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo WishlistSearchRequest(WishlistRequest WishlistSearchRequest) {
        System.Object[] results = this.Invoke("WishlistSearchRequest", new object[] {
            WishlistSearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginWishlistSearchRequest(WishlistRequest WishlistSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("WishlistSearchRequest", new object[] {
            WishlistSearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndWishlistSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual SellerProfile SellerProfileSearchRequest(SellerProfileRequest SellerProfileSearchRequest) {
        System.Object[] results = this.Invoke("SellerProfileSearchRequest", new object[] {
            SellerProfileSearchRequest});
        return ((SellerProfile)(results[0]));
    }

    public virtual System.IAsyncResult BeginSellerProfileSearchRequest(SellerProfileRequest SellerProfileSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("SellerProfileSearchRequest", new object[] {
            SellerProfileSearchRequest}, callback, asyncState);
    }

    public virtual SellerProfile EndSellerProfileSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((SellerProfile)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual SellerSearch SellerSearchRequest(SellerRequest SellerSearchRequest) {
        System.Object[] results = this.Invoke("SellerSearchRequest", new object[] {
            SellerSearchRequest});
        return ((SellerSearch)(results[0]));
    }

    public virtual System.IAsyncResult BeginSellerSearchRequest(SellerRequest SellerSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("SellerSearchRequest", new object[] {
            SellerSearchRequest}, callback, asyncState);
    }

    public virtual SellerSearch EndSellerSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((SellerSearch)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual MarketplaceSearch MarketplaceSearchRequest(MarketplaceRequest MarketplaceSearchRequest) {
        System.Object[] results = this.Invoke("MarketplaceSearchRequest", new object[] {
            MarketplaceSearchRequest});
        return ((MarketplaceSearch)(results[0]));
    }

    public virtual System.IAsyncResult BeginMarketplaceSearchRequest(MarketplaceRequest MarketplaceSearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("MarketplaceSearchRequest", new object[] {
            MarketplaceSearchRequest}, callback, asyncState);
    }

    public virtual MarketplaceSearch EndMarketplaceSearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((MarketplaceSearch)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("return")]
    public virtual ProductInfo SimilaritySearchRequest(SimilarityRequest SimilaritySearchRequest) {
        System.Object[] results = this.Invoke("SimilaritySearchRequest", new object[] {
            SimilaritySearchRequest});
        return ((ProductInfo)(results[0]));
    }

    public virtual System.IAsyncResult BeginSimilaritySearchRequest(SimilarityRequest SimilaritySearchRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("SimilaritySearchRequest", new object[] {
            SimilaritySearchRequest}, callback, asyncState);
    }

    public virtual ProductInfo EndSimilaritySearchRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ProductInfo)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("ShoppingCart")]
    public virtual ShoppingCart GetShoppingCartRequest(GetShoppingCartRequest GetShoppingCartRequest) {
        System.Object[] results = this.Invoke("GetShoppingCartRequest", new object[] {
            GetShoppingCartRequest});
        return ((ShoppingCart)(results[0]));
    }

    public virtual System.IAsyncResult BeginGetShoppingCartRequest(GetShoppingCartRequest GetShoppingCartRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("GetShoppingCartRequest", new object[] {
            GetShoppingCartRequest}, callback, asyncState);
    }

    public virtual ShoppingCart EndGetShoppingCartRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ShoppingCart)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("ShoppingCart")]
    public virtual ShoppingCart ClearShoppingCartRequest(ClearShoppingCartRequest ClearShoppingCartRequest) {
        System.Object[] results = this.Invoke("ClearShoppingCartRequest", new object[] {
            ClearShoppingCartRequest});
        return ((ShoppingCart)(results[0]));
    }

    public virtual System.IAsyncResult BeginClearShoppingCartRequest(ClearShoppingCartRequest ClearShoppingCartRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ClearShoppingCartRequest", new object[] {
            ClearShoppingCartRequest}, callback, asyncState);
    }

    public virtual ShoppingCart EndClearShoppingCartRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ShoppingCart)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("ShoppingCart")]
    public virtual ShoppingCart AddShoppingCartItemsRequest(AddShoppingCartItemsRequest AddShoppingCartItemsRequest) {
        System.Object[] results = this.Invoke("AddShoppingCartItemsRequest", new object[] {
            AddShoppingCartItemsRequest});
        return ((ShoppingCart)(results[0]));
    }

    public virtual System.IAsyncResult BeginAddShoppingCartItemsRequest(AddShoppingCartItemsRequest AddShoppingCartItemsRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("AddShoppingCartItemsRequest", new object[] {
            AddShoppingCartItemsRequest}, callback, asyncState);
    }

    public virtual ShoppingCart EndAddShoppingCartItemsRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ShoppingCart)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("ShoppingCart")]
    public virtual ShoppingCart RemoveShoppingCartItemsRequest(RemoveShoppingCartItemsRequest RemoveShoppingCartItemsRequest) {
        System.Object[] results = this.Invoke("RemoveShoppingCartItemsRequest", new object[] {
            RemoveShoppingCartItemsRequest});
        return ((ShoppingCart)(results[0]));
    }

    public virtual System.IAsyncResult BeginRemoveShoppingCartItemsRequest(RemoveShoppingCartItemsRequest RemoveShoppingCartItemsRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("RemoveShoppingCartItemsRequest", new object[] {
            RemoveShoppingCartItemsRequest}, callback, asyncState);
    }

    public virtual ShoppingCart EndRemoveShoppingCartItemsRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ShoppingCart)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("ShoppingCart")]
    public virtual ShoppingCart ModifyShoppingCartItemsRequest(ModifyShoppingCartItemsRequest ModifyShoppingCartItemsRequest) {
        System.Object[] results = this.Invoke("ModifyShoppingCartItemsRequest", new object[] {
            ModifyShoppingCartItemsRequest});
        return ((ShoppingCart)(results[0]));
    }

    public virtual System.IAsyncResult BeginModifyShoppingCartItemsRequest(ModifyShoppingCartItemsRequest ModifyShoppingCartItemsRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("ModifyShoppingCartItemsRequest", new object[] {
            ModifyShoppingCartItemsRequest}, callback, asyncState);
    }

    public virtual ShoppingCart EndModifyShoppingCartItemsRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((ShoppingCart)(results[0]));
    }

    [System.Web.Services.Protocols.SoapRpcMethodAttribute("http://soap.amazon.com",RequestNamespace="http://soap.amazon.com",ResponseNamespace="http://soap.amazon.com")]
    [return: System.Xml.Serialization.SoapElement("GetTransactionDetailsResponse")]
    public virtual GetTransactionDetailsResponse GetTransactionDetailsRequest(GetTransactionDetailsRequest GetTransactionDetailsRequest) {
        System.Object[] results = this.Invoke("GetTransactionDetailsRequest", new object[] {
            GetTransactionDetailsRequest});
        return ((GetTransactionDetailsResponse)(results[0]));
    }

    public virtual System.IAsyncResult BeginGetTransactionDetailsRequest(GetTransactionDetailsRequest GetTransactionDetailsRequest, System.AsyncCallback callback, object asyncState) {
        return this.BeginInvoke("GetTransactionDetailsRequest", new object[] {
            GetTransactionDetailsRequest}, callback, asyncState);
    }

    public virtual GetTransactionDetailsResponse EndGetTransactionDetailsRequest(System.IAsyncResult asyncResult) {
        System.Object[] results = this.EndInvoke(asyncResult);
        return ((GetTransactionDetailsResponse)(results[0]));
    }
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class KeywordRequest {

    /// <remarks/>
    public string keyword;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ProductInfo {

    /// <remarks/>
    public string TotalResults;

    /// <remarks/>
    public string TotalPages;

    /// <remarks/>
    public string ListName;

    /// <remarks/>
    public Details[] Details;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Details {

    /// <remarks/>
    public string Url;

    /// <remarks/>
    public string Asin;

    /// <remarks/>
    public string ProductName;

    /// <remarks/>
    public string Catalog;

    /// <remarks/>
    public KeyPhrase[] KeyPhrases;

    /// <remarks/>
    public string[] Artists;

    /// <remarks/>
    public string[] Authors;

    /// <remarks/>
    public string Mpn;

    /// <remarks/>
    public string[] Starring;

    /// <remarks/>
    public string[] Directors;

    /// <remarks/>
    public string TheatricalReleaseDate;

    /// <remarks/>
    public string ReleaseDate;

    /// <remarks/>
    public string Manufacturer;

    /// <remarks/>
    public string Distributor;

    /// <remarks/>
    public string ImageUrlSmall;

    /// <remarks/>
    public string ImageUrlMedium;

    /// <remarks/>
    public string ImageUrlLarge;

    /// <remarks/>
    public string MerchantId;

    /// <remarks/>
    public string MinPrice;

    /// <remarks/>
    public string MaxPrice;

    /// <remarks/>
    public string MinSalePrice;

    /// <remarks/>
    public string MaxSalePrice;

    /// <remarks/>
    public string MultiMerchant;

    /// <remarks/>
    public string MerchantSku;

    /// <remarks/>
    public string ListPrice;

    /// <remarks/>
    public string OurPrice;

    /// <remarks/>
    public string UsedPrice;

    /// <remarks/>
    public string RefurbishedPrice;

    /// <remarks/>
    public string CollectiblePrice;

    /// <remarks/>
    public string ThirdPartyNewPrice;

    /// <remarks/>
    public string NumberOfOfferings;

    /// <remarks/>
    public string ThirdPartyNewCount;

    /// <remarks/>
    public string UsedCount;

    /// <remarks/>
    public string CollectibleCount;

    /// <remarks/>
    public string RefurbishedCount;

    /// <remarks/>
    public ThirdPartyProductInfo ThirdPartyProductInfo;

    /// <remarks/>
    public string SalesRank;

    /// <remarks/>
    public BrowseNode[] BrowseList;

    /// <remarks/>
    public string Media;

    /// <remarks/>
    public string ReadingLevel;

    /// <remarks/>
    public string NumberOfPages;

    /// <remarks/>
    public string NumberOfIssues;

    /// <remarks/>
    public string IssuesPerYear;

    /// <remarks/>
    public string SubscriptionLength;

    /// <remarks/>
    public string DeweyNumber;

    /// <remarks/>
    public string RunningTime;

    /// <remarks/>
    public string Publisher;

    /// <remarks/>
    public string NumMedia;

    /// <remarks/>
    public string Isbn;

    /// <remarks/>
    public string[] Features;

    /// <remarks/>
    public string MpaaRating;

    /// <remarks/>
    public string EsrbRating;

    /// <remarks/>
    public string AgeGroup;

    /// <remarks/>
    public string Availability;

    /// <remarks/>
    public string Upc;

    /// <remarks/>
    public Track[] Tracks;

    /// <remarks/>
    public string[] Accessories;

    /// <remarks/>
    public string[] Platforms;

    /// <remarks/>
    public string Encoding;

    /// <remarks/>
    public string ProductDescription;

    /// <remarks/>
    public Reviews Reviews;

    /// <remarks/>
    public string[] SimilarProducts;

    /// <remarks/>
    public FeaturedProduct[] FeaturedProducts;

    /// <remarks/>
    public string[] Lists;

    /// <remarks/>
    public string Status;

    /// <remarks/>
    public Variation[] Variations;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class KeyPhrase {

    /// <remarks/>
    [System.Xml.Serialization.SoapElement("KeyPhrase")]
    public string KeyPhrase1;

    /// <remarks/>
    public string Type;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ThirdPartyProductInfo {

    /// <remarks/>
    public ThirdPartyProductDetails[] ThirdPartyProductDetails;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ThirdPartyProductDetails {

    /// <remarks/>
    public string OfferingType;

    /// <remarks/>
    public string SellerId;

    /// <remarks/>
    public string SellerNickname;

    /// <remarks/>
    public string ExchangeId;

    /// <remarks/>
    public string OfferingPrice;

    /// <remarks/>
    public string Condition;

    /// <remarks/>
    public string ConditionType;

    /// <remarks/>
    public string ExchangeAvailability;

    /// <remarks/>
    public string SellerCountry;

    /// <remarks/>
    public string SellerState;

    /// <remarks/>
    public string ShipComments;

    /// <remarks/>
    public string SellerRating;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class BrowseNode {

    /// <remarks/>
    public string BrowseId;

    /// <remarks/>
    public string BrowseName;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Track {

    /// <remarks/>
    public string TrackName;

    /// <remarks/>
    public string ByArtist;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Reviews {

    /// <remarks/>
    public string AvgCustomerRating;

    /// <remarks/>
    public string TotalCustomerReviews;

    /// <remarks/>
    public CustomerReview[] CustomerReviews;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class CustomerReview {

    /// <remarks/>
    public string Rating;

    /// <remarks/>
    public string Date;

    /// <remarks/>
    public string Summary;

    /// <remarks/>
    public string Comment;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class FeaturedProduct {

    /// <remarks/>
    public string Asin;

    /// <remarks/>
    public string Comment;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Variation {

    /// <remarks/>
    public string Asin;

    /// <remarks/>
    public string ClothingSize;

    /// <remarks/>
    public string ClothingColor;

    /// <remarks/>
    public string Price;

    /// <remarks/>
    public string SalePrice;

    /// <remarks/>
    public string Availability;

    /// <remarks/>
    public string MultiMerchant;

    /// <remarks/>
    public string MerchantSku;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class TextStreamRequest {

    /// <remarks/>
    public string textStream;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class PowerRequest {

    /// <remarks/>
    public string power;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class BrowseNodeRequest {

    /// <remarks/>
    public string browse_node;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class AsinRequest {

    /// <remarks/>
    public string asin;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string offer;

    /// <remarks/>
    public string offerpage;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string mode;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class BlendedRequest {

    /// <remarks/>
    public string blended;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ProductLine {

    /// <remarks/>
    public string Mode;

    /// <remarks/>
    public string RelevanceRank;

    /// <remarks/>
    public ProductInfo ProductInfo;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class UpcRequest {

    /// <remarks/>
    public string upc;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SkuRequest {

    /// <remarks/>
    public string sku;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string merchant_id;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class AuthorRequest {

    /// <remarks/>
    public string author;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ArtistRequest {

    /// <remarks/>
    public string artist;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ActorRequest {

    /// <remarks/>
    public string actor;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ManufacturerRequest {

    /// <remarks/>
    public string manufacturer;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class DirectorRequest {

    /// <remarks/>
    public string director;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string mode;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string keywords;

    /// <remarks/>
    public string price;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ExchangeRequest {

    /// <remarks/>
    public string exchange_id;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ListingProductDetails {

    /// <remarks/>
    public string ExchangeId;

    /// <remarks/>
    public string ListingId;

    /// <remarks/>
    public string ExchangeTitle;

    /// <remarks/>
    public string ExchangeDescription;

    /// <remarks/>
    public string ExchangePrice;

    /// <remarks/>
    public string ExchangeAsin;

    /// <remarks/>
    public string ExchangeEndDate;

    /// <remarks/>
    public string ExchangeTinyImage;

    /// <remarks/>
    public string ExchangeSellerId;

    /// <remarks/>
    public string ExchangeSellerNickname;

    /// <remarks/>
    public string ExchangeStartDate;

    /// <remarks/>
    public string ExchangeStatus;

    /// <remarks/>
    public string ExchangeQuantity;

    /// <remarks/>
    public string ExchangeQuantityAllocated;

    /// <remarks/>
    public string ExchangeFeaturedCategory;

    /// <remarks/>
    public string ExchangeCondition;

    /// <remarks/>
    public string ExchangeConditionType;

    /// <remarks/>
    public string ExchangeAvailability;

    /// <remarks/>
    public string ExchangeOfferingType;

    /// <remarks/>
    public string ExchangeSellerState;

    /// <remarks/>
    public string ExchangeSellerCountry;

    /// <remarks/>
    public string ExchangeSellerRating;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ListManiaRequest {

    /// <remarks/>
    public string lm_id;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class WishlistRequest {

    /// <remarks/>
    public string wishlist_id;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerProfileRequest {

    /// <remarks/>
    public string seller_id;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string desc;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerProfile {

    /// <remarks/>
    public SellerProfileDetails[] SellerProfileDetails;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerProfileDetails {

    /// <remarks/>
    public string SellerNickname;

    /// <remarks/>
    public string OverallFeedbackRating;

    /// <remarks/>
    public string NumberOfFeedback;

    /// <remarks/>
    public string NumberOfCanceledBids;

    /// <remarks/>
    public string NumberOfCanceledAuctions;

    /// <remarks/>
    public string StoreId;

    /// <remarks/>
    public string StoreName;

    /// <remarks/>
    public SellerFeedback SellerFeedback;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerFeedback {

    /// <remarks/>
    public Feedback[] Feedback;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Feedback {

    /// <remarks/>
    public string FeedbackRating;

    /// <remarks/>
    public string FeedbackComments;

    /// <remarks/>
    public string FeedbackDate;

    /// <remarks/>
    public string FeedbackRater;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerRequest {

    /// <remarks/>
    public string seller_id;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string offerstatus;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string seller_browse_id;

    /// <remarks/>
    public string keyword;

    /// <remarks/>
    public string desc;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string index;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerSearch {

    /// <remarks/>
    public SellerSearchDetails[] SellerSearchDetails;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SellerSearchDetails {

    /// <remarks/>
    public string SellerNickname;

    /// <remarks/>
    public string StoreId;

    /// <remarks/>
    public string StoreName;

    /// <remarks/>
    public string NumberOfOpenListings;

    /// <remarks/>
    public ListingProductInfo ListingProductInfo;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ListingProductInfo {

    /// <remarks/>
    public ListingProductDetails[] ListingProductDetails;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class MarketplaceRequest {

    /// <remarks/>
    public string marketplace_search;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string page;

    /// <remarks/>
    public string keyword;

    /// <remarks/>
    public string keyword_search;

    /// <remarks/>
    public string browse_id;

    /// <remarks/>
    public string zipcode;

    /// <remarks/>
    public string area_id;

    /// <remarks/>
    public string geo;

    /// <remarks/>
    public string sort;

    /// <remarks/>
    public string listing_id;

    /// <remarks/>
    public string desc;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string index;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class MarketplaceSearch {

    /// <remarks/>
    public MarketplaceSearchDetails[] MarketplaceSearchDetails;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class MarketplaceSearchDetails {

    /// <remarks/>
    public string NumberOfOpenListings;

    /// <remarks/>
    public ListingProductInfo ListingProductInfo;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class SimilarityRequest {

    /// <remarks/>
    public string asin;

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string type;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class GetShoppingCartRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string sims;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ShoppingCart {

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public string PurchaseUrl;

    /// <remarks/>
    public Item[] Items;

    /// <remarks/>
    public string[] SimilarProducts;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Item {

    /// <remarks/>
    public string ItemId;

    /// <remarks/>
    public string ProductName;

    /// <remarks/>
    public string Catalog;

    /// <remarks/>
    public string Asin;

    /// <remarks/>
    public string ExchangeId;

    /// <remarks/>
    public string Quantity;

    /// <remarks/>
    public string ListPrice;

    /// <remarks/>
    public string OurPrice;

    /// <remarks/>
    public string MerchantSku;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ClearShoppingCartRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class AddShoppingCartItemsRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public AddItem[] Items;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string sims;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class AddItem {

    /// <remarks/>
    public string ParentAsin;

    /// <remarks/>
    public string Asin;

    /// <remarks/>
    public string MerchantId;

    /// <remarks/>
    public string ExchangeId;

    /// <remarks/>
    public string Quantity;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class RemoveShoppingCartItemsRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public string[] Items;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string sims;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ModifyShoppingCartItemsRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string CartId;

    /// <remarks/>
    public string HMAC;

    /// <remarks/>
    public ItemQuantity[] Items;

    /// <remarks/>
    public string locale;

    /// <remarks/>
    public string sims;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ItemQuantity {

    /// <remarks/>
    public string ItemId;

    /// <remarks/>
    public string Quantity;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class GetTransactionDetailsRequest {

    /// <remarks/>
    public string tag;

    /// <remarks/>
    public string devtag;

    /// <remarks/>
    public string key;

    /// <remarks/>
    public string[] OrderIds;

    /// <remarks/>
    public string locale;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class GetTransactionDetailsResponse {

    /// <remarks/>
    public ShortSummary[] ShortSummaries;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class ShortSummary {

    /// <remarks/>
    public string OrderId;

    /// <remarks/>
    public string SellerId;

    /// <remarks/>
    public string Condition;

    /// <remarks/>
    public string TransactionDate;

    /// <remarks/>
    public string TransactionDateEpoch;

    /// <remarks/>
    public Price Total;

    /// <remarks/>
    public Price Subtotal;

    /// <remarks/>
    public Price Shipping;

    /// <remarks/>
    public Price Tax;

    /// <remarks/>
    public Price Promotion;

    /// <remarks/>
    public string StoreName;

    /// <remarks/>
    public Package[] Packages;

    /// <remarks/>
    public OrderItem[] OrderItems;

    /// <remarks/>
    public string ErrorCode;

    /// <remarks/>
    public string ErrorString;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Price {

    /// <remarks/>
    public string Amount;

    /// <remarks/>
    public string CurrencyCode;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class Package {

    /// <remarks/>
    public string TrackingNumber;

    /// <remarks/>
    public string CarrierName;
}

/// <remarks/>
[System.Xml.Serialization.SoapType(Namespace="http://soap.amazon.com")]
public class OrderItem {

    /// <remarks/>
    public string ItemNumber;

    /// <remarks/>
    public string ASIN;

    /// <remarks/>
    public string ExchangeId;

    /// <remarks/>
    public string Quantity;

    /// <remarks/>
    public Price UnitPrice;

    /// <remarks/>
    public Price TotalPrice;
}
}